%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	MIME_Type
Summary:	%{_pearname} - utility class for dealing with MIME types
Summary(pl.UTF-8):	%{_pearname} - przydatna klasa do obsługi typów MIME
Name:		php-pear-%{_pearname}
Version:	1.4.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	216bfa102230918cd57d662c14a5dc13
URL:		http://pear.php.net/package/MIME_Type/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0
Suggests:	php-pear-System_Command
Obsoletes:	php-pear-MIME_Type-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(System/Command.*)

%description
Provides functionality for dealing with MIME types.
- Parse MIME type.
- Supports full RFC2045 specification.
- Many utility functions for working with and determining info about
  types.
- Most functions can be called statically.
- Autodetect a file's MIME-type, either with mime_content_type() or
  the 'file' command.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa dostarcza funkcjonalności do obsługi typów MIME:
- przetwarzanie typu MIME,
- pełna obsługa specyfikacji RFC2045
- wiele przydatnych funkcji do obsługi i określania informacji na
  temat typów
- większość funkcji może być wywołana statycznie
- autodetekecja typu MIME pliku, za pomocą mime_content_type() lub z
  wykorzystaniem polecenia 'file'.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/MIME
%{php_pear_dir}/MIME/Type.php
%{php_pear_dir}/MIME/Type
%changelog
* Sat Mar 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-MIME_Type.git;a=log;h=master

* Sat Mar 02 2019 Adam Gołębiowski <adamg@pld-linux.org> 846c225
- updated to 1.4.1

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> d52a091
- up to 1.3.5

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 3ff5d5e
- up to 1.3.4

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> d84a830
- up to 1.3.3

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 03f7826
- updated to: 1.3.1

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 187b0f6
- updated to: 1.3.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> cd7524e
- tests no longer installed - don't try to remove them

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> 0c0f313
- up 1.2.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b710c81
- updated deps with pearize.sh
- release 2

* Sun Jan 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 9944836
- updated to 1.2.0

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> e04e5e6
- updated to 1.1.3

* Mon Jul 28 2008 Adam Gołębiowski <adamg@pld-linux.org> c4ea4b7
- updated to 1.1.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 27ebe14
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fd5c2fa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1c4edf2
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 38be515
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> d0e03c4
- rel 3 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 724683f
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 8b4a60a
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> eec2863
- rel 2

